<div class="container">
    <form class="form-inline mt-4 d-flex justify-content-center" (ngSubmit)="handleSearchUser()">
        <div class="form-group">
            <label for="userName">User Name</label>
            <input 
                [(ngModel)]="userName" 
                type="text" 
                name="userName" 
                id="userName" 
                class="form-control mx-sm-3"
            >
            <button type="submit" class="btn btn-primary mb-2">Find User</button>
        </div>

        <!-- To Render Error -->
        <div  *ngIf="error" class="alert alert-danger m-5" role="alert">
            {{error}}
        </div>
    </form>

    <div class="row mt-3" *ngIf="user">
        <div class="col col-md-4">
                <app-user-card [user]="user"></app-user-card>
        </div>
        <div class="col col-md-8">
            <app-repos [repoUrl]="user.repos_url"></app-repos>
        </div>
    </div>
    
</div>